#include<iostream.h>

void main(void)
{
	int t,RWer_x,RWer_y;
	double RV;
	
	srand((unsigned int)time(NULL));
	
	RWer_x=0;
	RWer_y=0;
	
	for(t=0;t<100;t++)
	{
		RV=(double)rand()/(double)(RAND_MAX+1);
		
		if(RV<0.25)	RWer_y++;
		else if(RV<0.5)	RWer_y--;
		else if(RV<0.75)	RWer_x--;
		else	RWer_x++;
		
		printf("%d回移動した後のランダムウォーカーの位置=(%d, %d)\n",t+1,RWer_x,RWer_y);
	}
}
